# -*- coding: utf-8 -*-
"""

"""


class IsoElementDiagram:
    """
    等参元的形状示意图。
    """

    __slots__: list = []

    line2 = r"""
    0---------------1
            +-->x0"""

    line3 = r"""
    0-------1-------2
            +-->x0"""

    tria3 = r"""
    2
    * *
    *   *
    *     *
    x1      *
    |         *
    0--x0 * * * 1"""

    tria6 = r"""
    2
    * *
    *   *
    5     4
    x1      *
    |         *
    0--x0 3 * * 1"""

    quad4 = r"""
    3---------------2
    |       x1      |
    |       |       |
    |       +--x0   |
    |               |
    |               |
    0---------------1"""

    quad8 = r"""
    3-------6-------2
    |       x1      |
    |       |       |
    7       +--x0   5
    |               |
    |               |
    0-------4-------1"""

    quad9 = r"""
    3-------6-------2
    |       x1      |
    |       |       |
    7       9--x0   5
    |               |
    |               |
    0-------4-------1"""

    tetra4_zoom = r"""
    3
    * * *
    *   *   *
    *     *     *
    *       *       2
    *         *    * *
    *           **    *
    *          *  *    *
    *        *      *   *
    *      *          *  *
    x2   x1             * *
    |  *                  **
    0--x0 * * * * * * * * * 1"""

    tetra4 = r"""
    3
    * **
    *   * *
    *     *  *
    *       *   2
    *        **  *
    x2    *     * *
    |  x1         **
    0--x0 * * * * * 1"""

    hex8 = r"""
        7---------------6
       /|              /|
      / |     x2 x1   / |
     /  |     | /    /  |
    4---+-----|/----5   |
    |   |     +--x0 |   |
    |   3-----------+---2
    |  /            |  /
    | /             | /
    |/              |/
    0---------------1"""

    hex20 = r"""
        7-------14------6
       /|              /|
     15 |     x2 x1  13 |
     /  19    | /    /  18
    4---+---12|/----5   |
    |   |     +--x0 |   |
    |   3-------10--+---2
    16 /            17 /
    |11             | 9
    |/              |/
    0-------8-------1"""


if __name__ == "__main__":
    print(IsoElementDiagram.quad4)
    print(IsoElementDiagram.tetra4)
    print(IsoElementDiagram.hex8)
